//
// ONVIFCameraWhiteBalance.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct ONVIFCameraWhiteBalance: Codable {

    public var currentMode: ONVIFWhiteBalanceModes
    public var currentCrGainValue: Decimal
    public var currentCbGainValue: Decimal
    public var supportedModes: [ONVIFWhiteBalanceModes]
    public var supportedRange: ONVIFCameraSettingsYCbCrRange

    public init(currentMode: ONVIFWhiteBalanceModes, currentCrGainValue: Decimal, currentCbGainValue: Decimal, supportedModes: [ONVIFWhiteBalanceModes], supportedRange: ONVIFCameraSettingsYCbCrRange) {
        self.currentMode = currentMode
        self.currentCrGainValue = currentCrGainValue
        self.currentCbGainValue = currentCbGainValue
        self.supportedModes = supportedModes
        self.supportedRange = supportedRange
    }

    public enum CodingKeys: String, CodingKey { 
        case currentMode = "current_mode"
        case currentCrGainValue = "current_cr_gain_value"
        case currentCbGainValue = "current_cb_gain_value"
        case supportedModes = "supported_modes"
        case supportedRange = "supported_range"
    }

}
